org.eclipse.microprofile.graphql.tck.apps.basic.api

## Enum BasicEnum

- java.lang.Object
- - java.lang.Enum<BasicEnum>
  - - org.eclipse.microprofile.graphql.tck.apps.basic.api.BasicEnum

All Implemented Interfaces:
  Serializable, Comparable<BasicEnum>

    @Enum(value="CountDown")
    public enum BasicEnum
    extends Enum<BasicEnum>

To Test the generation of a Enum even if it's not used (directly) as a return type or argument.

Author:
  Phillip Kruger (phillip.kruger@redhat.com)

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ONE`
`THREE`
`TWO`

### Method Summary

All Methods Static Methods Concrete Methods
`static BasicEnum` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BasicEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### THREE

    public static final BasicEnum THREE

#### TWO

    public static final BasicEnum TWO

#### ONE

    public static final BasicEnum ONE

### Method Detail

#### values

    public static BasicEnum[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BasicEnum c : BasicEnum.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BasicEnum valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null